Subject: Re: Performance regression on kernels 3.10 and newer

From: Rick Jones <[email-masked]>
Date: Thu, 14 Aug 2014 12:59:18 -0700

On 08/14/2014 11:46 AM, Eric Dumazet wrote:

> I believe you answered your own question : prequeue mode does not work
> very well when one host has hundred of active TCP flows to one other.
>
> In real life, applications do not use prequeue, because nobody wants one
> thread per flow.
>
> Each socket has its own dst now route cache was removed, but if your
> netperf migrates cpu (and NUMA node), we do not detect the dst should be
> re-created onto a different NUMA node.

Presumably, the -T $i,$j option in Alex's netperf command lines will 
have bound netperf and netserver to a specific CPU where they will have 
remained.

rick jones